Commits

Doug Hellmann committed 749030a

add installation test task

  • Participants
  • Parent commits c787694
  • Tags 1.17

Comments (0)

Files changed (2)

 import paver.setuputils
 paver.setuputils.install_distutils_tasks()
 import paver.doctools
-import docpaver
+try:
+    import docpaver
+except:
+    import warnings
+    warnings.warn('docpaver was not found, will not be able to produce documentation')
 
 # What project are we building?
 PROJECT = 'virtualenvwrapper'
     """Create a source distribution.
     """
     pass
-    
+
+@task
+@needs(['sdist'])
+def test_install(options):
+    sh('./tests/test_install.sh "%s" "%s"' % (options.sdist.dist_dir, VERSION))
+    return
+
 @task
 def test():
     sh('bash ./tests/test.sh')

tests/test_install.sh

+#!/bin/sh
+#
+# Test installation of virtualenvwrapper in a new virtualenv.
+#
+
+test_dir=$(dirname $0)
+dist_dir="$1"
+version="$2"
+
+export WORKON_HOME="${TMPDIR:-/tmp}/WORKON_HOME"
+mkvirtualenv "installtest"
+easy_install "$dist_dir/virtualenvwrapper-$version.tar.gz"
+RC=$?
+
+rm -rf "$WORKON_HOME"
+exit $RC